#!/bin/sh

cd `dirname $0`

source `dirname $0`/testvars.sh

#CHECK_ARGS=-v
PID=
ERR=1

cleanup() {
    if [ -n "$PID" ]; then
	kill $PID
    fi

    exit $ERR
}

trap cleanup INT TERM EXIT

TESTDIR=$TESTDIR $FAKEROOT $* $CHECK_ARGS $TESTDIR &
PID=$!
wait $PID
ERR=$?
PID=

exit $ERR
